<v-container>
  <v-btn block elevation="2" class="mb-5" @click="applyFilters">Aplicar filtros</v-btn>

  <users-table
    :users="filteredUsers"
    :isLoading="isLoading"
    @user-selected="handleUserSelection"
    ></users-table>
  <v-form class="elevation-2 mt-5">
    <v-container>
      <h4>Filtros</h4>
      <v-row>
	<v-col cols="12" md="4">
	  <v-select
	    v-model="genderFilter"
	    label="Genero"
	    :items="genderOptions"
	    item-text="text"
	    item-value="value"
	    multiple
	  ></v-select>
	</v-col>
	<v-col cols="12" md="4">
	  <v-text-field
	    v-model="ageFilter"
	    label="Edad"
	    required
	  >
	  </v-text-field>
	</v-col>
	<v-col cols="12" md="4">
	  <v-text-field
	    v-model="nationalityFilter"
	    label="Nacionalidad"
	  >
	  </v-text-field>
	</v-col>
      </v-row>
    </v-container>
  </v-form>
  <v-btn
    elevation="2"
    class="favorites-button mt-5"
    outlined
    color="pink"
    @click="handleFavoritesList"
  >
    Lista de favoritos</v-btn>
</v-container>
